Subject: Re: [PATCH] brcm80211: remove redundant condition check before debugfs_remove_recursive

From: zhong jiang <[email-masked]>
Date: Thu, 20 Sep 2018 20:37:11 +0800

On 2018/9/20 20:30, Kalle Valo wrote:
> zhong jiang <[email-masked]> writes:
>
>> On 2018/9/20 20:07, Kalle Valo wrote:
>>> zhong jiang <[email-masked]> wrote:
>>>
>>>> debugfs_remove_recursive has taken IS_ERR_OR_NULL into account. So just
>>>> remove the condition check before debugfs_remove_recursive.
>>>>
>>>> Signed-off-by: zhong jiang <[email-masked]>
>>> It seems you already submitted an identical patch four days earlier:
>>>
>>> https://patchwork.kernel.org/patch/10593061/
>>>
>>> Why the duplicate? Please ALWAYS add a changelog and increase the version number:
>> I am sorry for that. Maybe I send the patch earlier, but I remeber I
>> should forget to cc to
>> [email-masked] and LMLK. So I repost it.  Plese ingore the current patch.
> Even then please increase the version number and mention in the change
> log why you sent a new version. Otherwise you will make maintainers
> confused and wasting time with asking what has changed.
>
Get it  and will keep it in mind . Thanks

Sincerely,
zhong jiang